AgentConnect
GitLab

List GitLab.com connections

The organization-owned GitLab.com OAuth connections: administration identities only, no token material.

GET
/v1/orgs/{orgId}/gitlab/connections

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Response Body

application/json

curl -X GET "https://example.com/v1/orgs/string/gitlab/connections"
{  "connections": [    {      "id": "string",      "gitlabUserId": "string",      "gitlabUsername": "string",      "state": "connected",      "scopes": [        "string"      ],      "connectedBy": "string",      "mine": true,      "accessExpiresAt": "string",      "assignedProjects": -9007199254740991,      "instanceUrl": "string",      "instanceVersion": "string",      "instanceVersionSupported": true,      "instanceVersionFloor": "string",      "createdAt": "string"    }  ]}